import { isTerminalRule as e } from "./generated/ast.js";
import { DefaultNameRegexp as t } from "../utils/cst-utils.js";
import { isMultilineComment as n } from "../utils/regexp-utils.js";
import { isCommentTerminal as r, terminalRegex as i } from "../utils/grammar-utils.js";
//#region ../../node_modules/langium/lib/languages/grammar-config.js
function a(a) {
	let o = [], s = a.Grammar;
	for (let t of s.rules) e(t) && r(t) && n(i(t)) && o.push(t.name);
	return {
		multilineCommentRules: o,
		nameRegexp: t
	};
}
//#endregion
export { a as createGrammarConfig };
